import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSData } from "../Foundation/NSData.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _MTRGeneralDiagnosticsClusterNetworkInterface extends _NSObject {
    static alloc(): _MTRGeneralDiagnosticsClusterNetworkInterface;
    static new(): _MTRGeneralDiagnosticsClusterNetworkInterface;
    init(): _MTRGeneralDiagnosticsClusterNetworkInterface;
    name(): _NSString;
    setName$(value: _NSString): void;
    isOperational(): _NSNumber;
    setIsOperational$(value: _NSNumber): void;
    offPremiseServicesReachableIPv4(): _NSNumber | null;
    setOffPremiseServicesReachableIPv4$(value: _NSNumber | null): void;
    offPremiseServicesReachableIPv6(): _NSNumber | null;
    setOffPremiseServicesReachableIPv6$(value: _NSNumber | null): void;
    hardwareAddress(): _NSData;
    setHardwareAddress$(value: _NSData): void;
    iPv4Addresses(): _NSArray;
    setIPv4Addresses$(value: _NSArray): void;
    iPv6Addresses(): _NSArray;
    setIPv6Addresses$(value: _NSArray): void;
    type(): _NSNumber;
    setType$(value: _NSNumber): void;
}
export interface _MTRGeneralDiagnosticsClusterNetworkInterface extends _NSCopying {
}
